View Issue Details

IDProjectCategoryView StatusLast Update
0005026MediaMonkey 4Otherpublic2009-02-20 12:58
ReporterOwynAssigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Fixed in Version3.1 
Summary0005026: Regression: Podcast: Newest episode incorrectly determined.
DescriptionPodcast Update downloads newest shown episode in subscription. This episode may not be the newest in the feed.

http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=34924
TagsNo tags attached.
Fixed in build1203

Relationships

related to 0004557 closedLudek Podcast synchronization: ability to sync older podcasts 
child of 0004872 closedLudek Don't show previously removed episodes in feed list 

Activities

Ludek

2008-12-12 08:59

developer   ~0015609

Last edited: 2008-12-12 09:32

Owyn, I am not exactly sure I understand correctly, but if an episode had been previously downloaded and removed then it should not be automatically downloaded again.

The process is: Check for new episodes in the feed, download the most recent (if this is set), but don't download episodes that have been already downloaded.

Btw. the http://feeds.feedburner.com/cnet/newsdaily doesn't seem to be a valid podcast RSS feed, e.g. iTunes cannot handle it at all, MM handles it by extracting mp3 link from the A HREF html tag.

Owyn

2008-12-12 10:18

updater   ~0015611

The point is that NO episode should have been downloaded.

Will take a look for other feed URL.

Ludek

2008-12-12 16:11

developer   ~0015617

Last edited: 2008-12-12 16:12

I probably see your point. You are probably right. I previously thought that it should behave like in 1202 therefore I fixed it in 1202, but it should work like in 1198. i.e. As you indicated.

Fixed in 1203.

Owyn

2008-12-18 12:20

updater   ~0015721

Verified in 1203